### Method

# Gcr Certificate get_serial_number

#### Declaration [src]

    guchar*
    gcr_certificate_get_serial_number (
      GcrCertificate* self,
      gsize* n_length
    )

#### Description [src]

Get the raw binary serial number of the certificate.

The caller should free the returned data using `g_free()` when it is no longer required.

#### Parameters

`n_length`

  Type: `gsize*`

  The length of the returned data.

  The argument will be set by the function.

#### Return value

Type: An array of `guchar`

The raw binary serial number.

The length of the array is in the `n_length` argument.
The data is owned by the instance.
The return value can be `NULL`.